Bug 205043 - [MAINTAINER] sysutils/py-salt : Update to 2015.8.3
Summary: [MAINTAINER] sysutils/py-salt : Update to 2015.8.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dryice Dong Liu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-12-05 22:32 UTC by Christer Edwards
Modified: 2015-12-12 17:47 UTC (History)
2 users (show)

See Also:
junovitch: merge-quarterly+


Attachments
patch (2.21 KB, text/plain)
2015-12-05 22:32 UTC, Christer Edwards
no flags Details
QA (403.40 KB, text/plain)
2015-12-05 22:32 UTC, Christer Edwards
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Christer Edwards 2015-12-05 22:32:42 UTC
Created attachment 163878 [details]
patch

Update to 2015.8.3 - https://docs.saltstack.com/en/latest/topics/releases/2015.8.3.html
Comment 1 Christer Edwards 2015-12-05 22:32:58 UTC
Created attachment 163879 [details]
QA
Comment 2 commit-hook freebsd_committer 2015-12-06 12:34:59 UTC
A commit references this bug:

Author: dryice
Date: Sun Dec  6 12:34:20 UTC 2015
New revision: 403109
URL: https://svnweb.freebsd.org/changeset/ports/403109

Log:
  Update to 2015.8.3

  PR:		205043
  Submitted by: Christer Edwards <christer.edwards@gmail.com> (maintainer)

Changes:
  head/sysutils/py-salt/Makefile
  head/sysutils/py-salt/distinfo
  head/sysutils/py-salt/pkg-plist
Comment 3 Dryice Dong Liu freebsd_committer 2015-12-06 12:36:06 UTC
Committed. Thanks!
Comment 4 commit-hook freebsd_committer 2015-12-07 23:04:50 UTC
A commit references this bug:

Author: junovitch
Date: Mon Dec  7 23:04:18 UTC 2015
New revision: 403241
URL: https://svnweb.freebsd.org/changeset/ports/403241

Log:
  Document information disclosure via insecure default permissions in Salt

  PR:		205043
  Security:	CVE-2015-8034
  Security:	https://vuxml.FreeBSD.org/freebsd/e6b974ab-9d35-11e5-8f5c-002590263bf5.html

Changes:
  head/security/vuxml/vuln.xml
Comment 5 Jason Unovitch freebsd_committer 2015-12-07 23:08:03 UTC
Set merge-quarterly? and open for security fix MFH. @dryice can you pursue an MFH request per the committers guide?
Comment 6 Dryice Dong Liu freebsd_committer 2015-12-08 13:46:46 UTC
Sure. I've sent the email and I'll follow up.
Comment 7 commit-hook freebsd_committer 2015-12-12 03:14:23 UTC
A commit references this bug:

Author: dryice
Date: Sat Dec 12 03:13:24 UTC 2015
New revision: 403581
URL: https://svnweb.freebsd.org/changeset/ports/403581

Log:
  MFH: r403109

  Update to 2015.8.3

  PR:		205043
  Submitted by: Christer Edwards <christer.edwards@gmail.com> (maintainer)
  Approved by:	portmgr (feld)

Changes:
_U  branches/2015Q4/
  branches/2015Q4/sysutils/py-salt/Makefile
  branches/2015Q4/sysutils/py-salt/distinfo
  branches/2015Q4/sysutils/py-salt/pkg-plist
Comment 8 commit-hook freebsd_committer 2015-12-12 17:42:24 UTC
A commit references this bug:

Author: junovitch
Date: Sat Dec 12 17:42:09 UTC 2015
New revision: 403619
URL: https://svnweb.freebsd.org/changeset/ports/403619

Log:
  MFH: r399467, r401743

  sysutils/py-salt: fix incomplete MFH prerequisites for 2015.8.3 update

  PR:		205043
  Approved by:	ports-secteam (feld)

Changes:
_U  branches/2015Q4/
  branches/2015Q4/sysutils/py-salt/Makefile
  branches/2015Q4/sysutils/py-salt/files/patch-salt__utils____init__.py
  branches/2015Q4/sysutils/py-salt/pkg-plist
Comment 9 Jason Unovitch freebsd_committer 2015-12-12 17:47:31 UTC
Close/set merge-quarterly+ based on commits r403581 and r403619.